[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# IProviderSupport.PSGetCommandText

Return the SQL command executed for getting data.

## Declaration

Source position: db.pas line 1418

`function IProviderSupport.PSGetCommandText: string;`

## Function result

SQL statement

## Description

PSGetCommandText returns the SQL command that is executed when the PSExecute function is called (for a TSQLQuery this would be the SQL property) or when the dataset is opened.

## See also

PSExecute
PSSetCommandText